hadoop-common-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Alejandro Abdelnur (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (HADOOP-9643) org.apache.hadoop.security.SecurityUtil calls toUpperCase(Locale.getDefault()) as well as toLowerCase(Locale.getDefault()) on hadoop.security.authentication value.
Date Fri, 19 Jul 2013 19:06:49 GMT

     [ https://issues.apache.org/jira/browse/HADOOP-9643?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Alejandro Abdelnur updated HADOOP-9643:
---------------------------------------

       Resolution: Fixed
    Fix Version/s: 2.1.0-beta
     Hadoop Flags: Reviewed
           Status: Resolved  (was: Patch Available)

Thanks Mark. Committed to trunk, branch-2 and branch-2.1.
                
> org.apache.hadoop.security.SecurityUtil calls toUpperCase(Locale.getDefault()) as well
as toLowerCase(Locale.getDefault()) on hadoop.security.authentication value.
> -------------------------------------------------------------------------------------------------------------------------------------------------------------------
>
>                 Key: HADOOP-9643
>                 URL: https://issues.apache.org/jira/browse/HADOOP-9643
>             Project: Hadoop Common
>          Issue Type: Bug
>          Components: security
>    Affects Versions: 2.0.5-alpha
>            Reporter: Mark Miller
>            Assignee: Mark Miller
>            Priority: Minor
>             Fix For: 2.1.0-beta
>
>         Attachments: HADOOP-9643.patch, HADOOP-9643.patch
>
>
> With the wrong locale, something like hadoop.security.authentication=simple will cause
an IllegalArgumentException because "simple".toUpperCase(Locale.getDefault()) may not equal
SIMPLE.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message